This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 499049 - Review Request: ExpatImpl-devel - C++ wrapper for expat
Review Request: ExpatImpl-devel - C++ wrapper for expat
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-04 19:48 EDT by Jerry James
Modified: 2009-05-08 17:17 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-08 17:17:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jerry James 2009-05-04 19:48:36 EDT
Spec URL: http://jjames.fedorapeople.org/ExpatImpl/ExpatImpl-devel.spec
SRPM URL: http://jjames.fedorapeople.org/ExpatImpl/ExpatImpl-devel-1-1.fc10.src.rpm
Description: A C++ wrapper for the expat XML parsing library

I need this package for another package I wish to submit later.
Comment 1 Susi Lehtola 2009-05-05 03:45:33 EDT
The spec file is not available. Also, this package should be named expatimpl (with a -devel subpackage that contains the headers).
Comment 2 Michael Schwendt 2009-05-05 11:15:52 EDT
* Would be fine to name it "ExpatImpl" with no main package but a -devel subpackage. There are no guidelines that require the name to be converted to lower-case.


* Licensing situation is unclear. Upstream .zip doesn't contain or mention the BSD licence that is specified in the .spec file. There's just a copyright notice in the single C++ header file. In the upstream msg boards the authors writes:

| By definition, all code posted to CodeProject is free to use.
| These days I use the BSD non-adware license.
| So feel free to use the code as you wish.
|
| [...]
|
| Tim Smith

"Free to use" doesn't imply "BSD".

Though, if you choose the BSD licence for the Fedora package, an added explanation would be good.
Comment 3 Susi Lehtola 2009-05-05 11:30:42 EDT
(In reply to comment #2)
> * Would be fine to name it "ExpatImpl" with no main package but a -devel
> subpackage. There are no guidelines that require the name to be converted to
> lower-case.

http://fedoraproject.org/wiki/Packaging/NamingGuidelines#Case_Sensitivity

although in this case the name of the tarball is ExpatImpl and thus ExpatImpl is OK to use as the package name.

To the first point: doesn't this package include a library of some sort?

> * Licensing situation is unclear. Upstream .zip doesn't contain or mention the
> BSD licence that is specified in the .spec file. There's just a copyright
> notice in the single C++ header file. In the upstream msg boards the authors
> writes:
> 
> | By definition, all code posted to CodeProject is free to use.
> | These days I use the BSD non-adware license.
> | So feel free to use the code as you wish.
> |
> | [...]
> |
> | Tim Smith
> 
> "Free to use" doesn't imply "BSD".
> 
> Though, if you choose the BSD licence for the Fedora package, an added
> explanation would be good.  

"Free to use" doesn't imply distributability either. Unless upstream puts a clear license in the tarball (or state that the code is public domain), there's no way this package will be included in Fedora. A message board message is not enough.
Comment 4 Michael Schwendt 2009-05-05 13:01:46 EDT
> http://fedoraproject.org/wiki/Packaging/NamingGuidelines#Case_Sensitivity

As I wrote before, the guidelines do not require the package to get a lower-case name. The "ExpatImpl" spelling is used also throughout the C++ header file, in the header filename, and in the wrapper class name. And btw, the Expat project refers to itself as "Expat". ;)

> "Free to use" doesn't imply distributability either.

Let me repeat from my previous comment: Licensing situation is unclear.
Comment 5 Jerry James 2009-05-08 13:23:00 EDT
Sorry for the delay, but I've been trying to reach the author for license clarification.  No response yet, and I see other unanswered attempts on the message board to get a clear statement out of the author.  I'm going to consider my options, but at this point I guess we have to consider this review dead in the water on legal grounds. :-(

With regards to comment #1, the spec file link now works.  Also, this package does not include a library of any kind.  It is purely a header file that maps the C expat headers into C++ classes with inline code.

And, finally, it's really old and doesn't include a bunch of stuff from newer versions of expat.  Given all that, I'm really tempted to write my own and give it a real open source license.

Give me a couple of days to think this over.  If I decide to go with writing my own, I'll close this review bug.  Thanks for the comments.
Comment 6 Jerry James 2009-05-08 17:17:51 EDT
Forget this package.  There's a much better, more up-to-date, and definitely free C++ wrapper for expat.  I'll port the application I'm working with over to that wrapper.  See bug #499913 for more information.

Note You need to log in before you can comment on or make changes to this bug.